%{?nodejs_find_provides_and_requires}

%global packagename sinon-chai
%global enable_tests 1

Name:		nodejs-sinon-chai
Version:	2.14.0
Release:	4%{?dist}
Summary:	Extends Chai with assertions for the Sinon.JS mocking framework

License:	BSD or WTFPL
URL:		https://github.com/domenic/sinon-chai.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(chai)
BuildRequires:	npm(sinon)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	coffee-script
%endif

%description
Extends Chai with assertions for the Sinon.JS mocking framework.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 21 2018 Jared Smith <jsmith@fedoraproject.org> - 2.14.0-1
- Update to upstream 2.14.0 release

* Sun Jul 17 2016 Jared Smith <jsmith@fedoraproject.org> - 2.8.0-1
- Initial packaging
